package com.mvc.dao;

import com.mvc.entity.TCheck;
import com.mvc.entity.TCheckExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TCheckMapper {
    long countByExample(TCheckExample example);

    int deleteByExample(TCheckExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TCheck record);

    int insertSelective(TCheck record);

    List<TCheck> selectByExample(TCheckExample example);

    TCheck selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TCheck record, @Param("example") TCheckExample example);

    int updateByExample(@Param("record") TCheck record, @Param("example") TCheckExample example);

    int updateByPrimaryKeySelective(TCheck record);

    int updateByPrimaryKey(TCheck record);
}